/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
**/
#ifndef MTHREAD_H
#define MTHREAD_H

#include <QObject>
#include <QtDBus/QDBusInterface>
#include <QThread>
#include "libukcc_global.h"

class LIBUKCC_EXPORT MThread : public QObject
{
    Q_OBJECT
public:
    explicit MThread(QObject *parent = nullptr);
    ~MThread();

    void run();

private:
    QDBusInterface *m_cloudInterface;

public slots:
    void keychanged(QString  str);

Q_SIGNALS:
    void keychangedsignal(QString  str);
};

#endif // MTHREAD_H
